when:
  - event: ["push", "manual"]
    branch: ["main"]
  - event: ["pull_request"]
    branch: ["main"]

engine: "nixery"

dependencies:
  nixpkgs:
    - bun

steps:
  - name: "Install dependencies"
    command: "bun install"
  - name: "Test"
    command: "bun test"
